%define upstream_name    Dist-Zilla-Role-Version-Sanitize
%define upstream_version 0.002001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Sanitize a version from a plugin
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Plugin::Bootstrap::lib) >= 0.40.0.0
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Pod::Eventual)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 1.1.2
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Sanitize a version from a plugin.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.2.1-6.mga6
+ Revision: 1026734
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.2.1-5.mga6
+ Revision: 970345
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 0.2.1-4.mga6
+ Revision: 886014
- Fix BRs

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-3.mga5
+ Revision: 744253
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 0.2.1-1.mga5
+ Revision: 664151
- update to 0.002001

* Tue Jul 15 2014 sander85 <sander85> 0.2.0-1.mga5
+ Revision: 652986
- update to 0.002000

* Mon Feb 17 2014 jquelin <jquelin> 0.1.2-1.mga5
+ Revision: 593755
- missing %%description
- adding missing buildrequires:
- imported package perl-Dist-Zilla-Role-Version-Sanitize


* Mon Feb 17 2014 cpan2dist 0.001002-1mga
- initial mageia release, generated with cpan2dist
